Bug 490847 - Can't access FTP public folders
Can't access FTP public folders
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-03-18 06:23 EDT by Emanuele Bellini
Modified: 2015-03-03 17:40 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-03-20 07:25:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Emanuele Bellini 2009-03-18 06:23:31 EDT
Description of problem:
Open the Places/Connect to server... window, select "Public FTP" from the list. Split the addresses I'm going to give you into server name and folder and put them in the specific areas.
Let's try, for example, some Fedora mirrors: the Facebook one made me become curious


or the Fedora one:


So I put mirror.facebook.com in the Server area and fedora/linux in the Folder area.
I can navigate them with Firefox and Opera. When I try to connect with the Nautilus utility I can't mount the filesystem. It doesn't work if I put the entire path in the Server area.
Someone of the forum suggested to connect with the Custom mode in the same window, and put the address in the URI area. It works with the Facebook mirror but not with the other one, it says the host closed the connection.

Version-Release number of selected component (if applicable):

How reproducible:

Actual results:
I can't connect to the FTP folders using the public FTP mode.

Expected results:
Nautilus should connect to them, since the browsers can!

Additional info:
If I have to go upstream, just say it!
Comment 1 Tomáš Bžatek 2009-03-18 06:31:26 EDT
Both URLs work fine in gvfs-1.1.7-5.fc11

There's been a lot of changes in the ftp backend lately, not sure if it's possible to backport them at all.
Comment 2 Emanuele Bellini 2009-03-18 08:55:40 EDT
Really? If it will be fixed for Fedora 11 that's OK for me, you can close this bug report if you want.
Comment 3 Alexander Larsson 2009-03-20 07:25:12 EDT
closing then

Note You need to log in before you can comment on or make changes to this bug.